package com.iamberry.app.mapper;

import java.util.List;

import com.iamberry.app.core.entity.Machine;

public interface MachineMapper {

	/**
	 *	添加一台机器
	 * @param machine
	 * @return void
	 */
	public void insertMachine(Machine machine);

	/**
	 *	根据id 修改一台机器信息
	 * @param machine
	 */
	public void updateMachine(Machine machine);

	/**
	 * 根据机器id 修改个人机器状态，增加修改时间为当前时间的字段
	 * 取消数据库中表machine的时间修改字段自动更新！
	 * @param status,
	 *            id
	 */
	public int updateMachineStatus(String status,Long id);

	/**
	 *	根据id 修改一台机器的位置信息
	 * @param location,
	 *            id
	 * @return void
	 */
	public int updateMachineLocation(String location,Long id);

	/**
	 *	按用户，查询所有机器
	 * @author Moon Cheng
	 * @param owner
	 * @return
	 */
	public List<Machine> selectMachineByOwner(Long owner);

	/**
	 * 	根据id 查询一台机器
	 * 
	 * @param id
	 * @return
	 */
	public Machine selectMachineById(Long id);
	
	/**
	 * 	根据机器码和所属用户 查一台机器id
	 * @param devId
	 * @param userId
	 * @return
	 */ 
	public Long isDevUserPairExist(String devId, Long userId);
	
	/**
	 * 	根据机器码 修改个人机器状态，增加修改时间为当前时间的字段
	 *
	 * @param mac
	 * @param status
	 */
	public void updateStatusByMac(String devId, String status);

	/**
	 * 根据机器的ID，查询最近的一个用户ID
	 * @param devId
	 * @return
	 */
	public Long selectUserIDByDevId(String devId);
}
